Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.operators
Class JSplitPaneOperator

    java.lang.Object
      |
      +--org.netbeans.jemmy.operators.Operator
            |
            +--org.netbeans.jemmy.operators.ComponentOperator
                  |
                  +--org.netbeans.jemmy.operators.ContainerOperator
                        |
                        +--org.netbeans.jemmy.operators.JComponentOperator
                              |
                              +--org.netbeans.jemmy.operators.JSplitPaneOperator

All Implemented Interfaces:
  Outputable, Timeoutable

public class JSplitPaneOperator
extends JComponentOperator
implements Timeoutable, Outputable

Timeouts used:
JSplitPaneOperator.ScrollClickTimeout - time for simple scroll click
JSplitPaneOperator.BetweenClickTimeout - time to sleep between scroll clicks
JSplitPaneOperator.WholeScrollTimeout - time for the whole scrolling
ComponentOperator.WaitComponentTimeout - time to wait component displayed
.

Author:
  Alexandre Iline (alexandre.iline@sun.com) Class to operate with javax.swing.JSplitPane component
See Also:
  `Timeouts`

Inner Class Summary
`static class` | `JSplitPaneOperator.JSplitPaneFinder` Checks component type.

Inner classes inherited from class org.netbeans.jemmy.operators.JComponentOperator
`JComponentOperator.JComponentByTipFinder, JComponentOperator.JComponentFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.ContainerOperator
`ContainerOperator.ContainerFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.Operator
`Operator.ComponentVisualizer, Operator.DefaultPathParser, Operator.DefaultStringComparator, Operator.Finder, Operator.MapAction, Operator.MapBooleanAction, Operator.MapByteAction, Operator.MapCharacterAction, Operator.MapDoubleAction, Operator.MapFloatAction, Operator.MapIntegerAction, Operator.MapLongAction, Operator.MapVoidAction, Operator.NoBlockingAction, Operator.PathParser, Operator.StringComparator`

Field Summary
`static java.lang.String` | `HORIZONTAL_ORIENTATION_DPROP_VALUE` Identifier for a "HORIZONTAL" value of "orientation" property.
`static java.lang.String` | `IS_ONE_TOUCH_EXPANDABLE_DPROP` Identifier for a "one touch expendable" property.
`static java.lang.String` | `MAXIMUM_DPROP` Identifier for a "maximum" property.
`static java.lang.String` | `MINIMUM_DPROP` Identifier for a "minimum" property.
`static java.lang.String` | `ORIENTATION_DPROP` Identifier for a "orientation" property.
`static java.lang.String` | `VALUE_DPROP` Identifier for a "value" property.
`static java.lang.String` | `VERTICAL_ORIENTATION_DPROP_VALUE` Identifier for a "VERTICAL" value of "orientation" property.

Fields inherited from class org.netbeans.jemmy.operators.JComponentOperator
`TOOLTIP_TEXT_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.ComponentOperator
`HEIGHT_DPROP, IS_SHOWING_DPROP, IS_VISIBLE_DPROP, WIDTH_DPROP, X_DPROP, Y_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.Operator
`CLASS_DPROP, TO_STRING_DPROP`

Constructor Summary
`JSplitPaneOperator(ContainerOperator cont)` Constructor.
`JSplitPaneOperator(ContainerOperator cont, ComponentChooser chooser)` Constructs a JSplitPaneOperator object.
`JSplitPaneOperator(ContainerOperator cont, ComponentChooser chooser, int index)` Constructs a JSplitPaneOperator object.
`JSplitPaneOperator(ContainerOperator cont, int index)` Constructor.
`JSplitPaneOperator(javax.swing.JSplitPane b)` Constructor.

Method Summary
`void` | `copyEnvironment(Operator anotherOperator)` Copies all environment (output, timeouts, visualizer) from another operator.
`void` | `expandLeft()` Pushes one time left(top) expand button.
`void` | `expandRight()` Pushes one time right(bottom) expand button.
`javax.swing.plaf.basic.BasicSplitPaneDivider` | `findDivider()` Searches divider inside split pane.
`static javax.swing.JSplitPane` | `findJSplitPane(java.awt.Container cont)` Searches 0'th JSplitPane in container.
`static javax.swing.JSplitPane` | `findJSplitPane(java.awt.Container cont, ComponentChooser chooser)` Searches 0'th JSplitPane in container.
`static javax.swing.JSplitPane` | `findJSplitPane(java.awt.Container cont, ComponentChooser chooser, int index)` Searches JSplitPane in container.
`static javax.swing.JSplitPane` | `findJSplitPane(java.awt.Container cont, int index)` Searches JSplitPane in container.
`static javax.swing.JSplitPane` | `findJSplitPaneUnder(java.awt.Component comp)` Searches JSplitPane object which component lies on.
`static javax.swing.JSplitPane` | `findJSplitPaneUnder(java.awt.Component comp, ComponentChooser chooser)` Searches JSplitPane object which component lies on.
`java.awt.Component` | `getBottomComponent()` Maps `JSplitPane.getBottomComponent()` through queue
`ContainerOperator` | `getDivider()` Searches divider inside split pane.
`int` | `getDividerLocation()` Maps `JSplitPane.getDividerLocation()` through queue
`int` | `getDividerSize()` Maps `JSplitPane.getDividerSize()` through queue
`java.util.Hashtable` | `getDump()` Returns information about component.
`int` | `getLastDividerLocation()` Maps `JSplitPane.getLastDividerLocation()` through queue
`java.awt.Component` | `getLeftComponent()` Maps `JSplitPane.getLeftComponent()` through queue
`int` | `getMaximumDividerLocation()` Maps `JSplitPane.getMaximumDividerLocation()` through queue
`int` | `getMinimumDividerLocation()` Maps `JSplitPane.getMinimumDividerLocation()` through queue
`int` | `getOrientation()` Maps `JSplitPane.getOrientation()` through queue
`TestOut` | `getOutput()` Returns print output streams or writers.
`java.awt.Component` | `getRightComponent()` Maps `JSplitPane.getRightComponent()` through queue
`Timeouts` | `getTimeouts()` Return current timeouts.
`java.awt.Component` | `getTopComponent()` Maps `JSplitPane.getTopComponent()` through queue
`javax.swing.plaf.SplitPaneUI` | `getUI()` Maps `JSplitPane.getUI()` through queue
`boolean` | `isContinuousLayout()` Maps `JSplitPane.isContinuousLayout()` through queue
`boolean` | `isOneTouchExpandable()` Maps `JSplitPane.isOneTouchExpandable()` through queue
`void` | `moveDivider(double proportionalLocation)` Changes divider location.
`void` | `moveDivider(int dividerLocation)` Changes divider location.
`void` | `moveToMaximum()` Moves the divider all the way to the right/bottom.
`void` | `moveToMinimum()` Moves the divider all the way to the left/top.
`void` | `resetToPreferredSizes()` Maps `JSplitPane.resetToPreferredSizes()` through queue
`void` | `scrollTo(ScrollAdjuster adj)` Scrolls to the position defined by a ScrollAdjuster implementation.
`void` | `setBottomComponent(java.awt.Component component)` Maps `JSplitPane.setBottomComponent(Component)` through queue
`void` | `setContinuousLayout(boolean b)` Maps `JSplitPane.setContinuousLayout(boolean)` through queue
`void` | `setDividerLocation(double d)` Maps `JSplitPane.setDividerLocation(double)` through queue
`void` | `setDividerLocation(int i)` Maps `JSplitPane.setDividerLocation(int)` through queue
`void` | `setDividerSize(int i)` Maps `JSplitPane.setDividerSize(int)` through queue
`void` | `setLastDividerLocation(int i)` Maps `JSplitPane.setLastDividerLocation(int)` through queue
`void` | `setLeftComponent(java.awt.Component component)` Maps `JSplitPane.setLeftComponent(Component)` through queue
`void` | `setOneTouchExpandable(boolean b)` Maps `JSplitPane.setOneTouchExpandable(boolean)` through queue
`void` | `setOrientation(int i)` Maps `JSplitPane.setOrientation(int)` through queue
`void` | `setOutput(TestOut out)` Defines print output streams or writers.
`void` | `setRightComponent(java.awt.Component component)` Maps `JSplitPane.setRightComponent(Component)` through queue
`void` | `setTimeouts(Timeouts timeouts)` Defines current timeouts.
`void` | `setTopComponent(java.awt.Component component)` Maps `JSplitPane.setTopComponent(Component)` through queue
`void` | `setUI(javax.swing.plaf.SplitPaneUI splitPaneUI)` Maps `JSplitPane.setUI(SplitPaneUI)` through queue
`static javax.swing.JSplitPane` | `waitJSplitPane(java.awt.Container cont)` Waits 0'th JSplitPane in container.
`static javax.swing.JSplitPane` | `waitJSplitPane(java.awt.Container cont, ComponentChooser chooser)` Waits 0'th JSplitPane in container.
`static javax.swing.JSplitPane` | `waitJSplitPane(java.awt.Container cont, ComponentChooser chooser, int index)` Waits JSplitPane in container.
`static javax.swing.JSplitPane` | `waitJSplitPane(java.awt.Container cont, int index)` Waits JSplitPane in container.

Methods inherited from class org.netbeans.jemmy.operators.JComponentOperator
`addAncestorListener, addVetoableChangeListener, computeVisibleRect, createToolTip, findJComponent, findJComponent, findJComponent, findJComponent, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getActionForKeyStroke, getAutoscrolls, getBorder, getCenterXForClick, getCenterYForClick, getClientProperty, getConditionForKeyStroke, getDebugGraphicsOptions, getInsets, getNextFocusableComponent, getRegisteredKeyStrokes, getRootPane, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getUIClassID, getVisibleRect, getWindowContainerOperator, grabFocus, isFocusCycleRoot, isManagingFocus, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintImmediately, paintImmediately, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, repaint, requestDefaultFocus, resetKeyboardActions, revalidate, scrollRectToVisible, setAlignmentX, setAlignmentY, setAutoscrolls, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, showToolTip, unregisterKeyboardAction, updateUI, waitJComponent, waitJComponent, waitJComponent, waitJComponent, waitToolTip`

Methods inherited from class org.netbeans.jemmy.operators.ContainerOperator
`add, add, add, add, add, addContainerListener, createSubOperator, createSubOperator, findComponentAt, findComponentAt, findContainer, findContainer, findContainer, findContainer, findContainerUnder, findContainerUnder, findSubComponent, findSubComponent, getComponent, getComponentCount, getComponents, getInsets, getLayout, isAncestorOf, paintComponents, printComponents, remove, remove, removeAll, removeContainerListener, setLayout, waitContainer, waitContainer, waitContainer, waitContainer, waitSubComponent, waitSubComponent`

Methods inherited from class org.netbeans.jemmy.operators.ComponentOperator
`activateWindow, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, checkImage, checkImage, clickForPopup, clickForPopup, clickForPopup, clickForPopup, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, contains, contains, createImage, createImage, dispatchEvent, doLayout, dragMouse, dragMouse, dragMouse, dragNDrop, dragNDrop, dragNDrop, enableInputMethods, enterMouse, exitMouse, findComponent, findComponent, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getCenterX, getCenterY, getColorModel, getComponentAt, getComponentAt, getComponentOrientation, getContainer, getContainers, getCursor, getDropTarget, getEventDispatcher, getFocus, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMinimumSize, getName, getParent, getPreferredSize, getSize, getSize, getSource, getToolkit, getTreeLock, getWidth, getWindow, getX, getY, hasFocus, imageUpdate, invalidate, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, list, list, list, list, list, makeComponentVisible, moveMouse, paint, paintAll, prepareImage, prepareImage, pressKey, pressKey, pressMouse, pressMouse, print, printAll, pushKey, pushKey, releaseKey, releaseKey, releaseMouse, releaseMouse, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFont, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, transferFocus, typeKey, typeKey, typeKey, update, validate, waitComponent, waitComponent, waitComponent, waitComponent, waitComponentEnabled, waitComponentShowing, waitComponentVisible, waitHasFocus`

Methods inherited from class org.netbeans.jemmy.operators.Operator
`addOperatorPackage, addToDump, addToDump, createOperator, getCharBindingMap, getCharKey, getCharModifiers, getCharsKeys, getCharsKeys, getCharsModifiers, getCharsModifiers, getComparator, getDefaultComponentVisualizer, getDefaultMouseButton, getDefaultPathParser, getDefaultStringComparator, getDefaultVerification, getEnvironmentOperator, getParentPath, getPathParser, getPopupMouseButton, getProperties, getQueueTool, getVerification, getVisualizer, isCaptionEqual, isCaptionEqual, isCaptionEqual, lockQueue, parseString, parseString, printDump, produceNoBlocking, produceNoBlocking, produceTimeRestricted, produceTimeRestricted, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, setCharBindingMap, setComparator, setDefaultComponentVisualizer, setDefaultPathParser, setDefaultStringComparator, setDefaultVerification, setPathParser, setProperties, setVerification, setVisualizer, unlockAndThrow, unlockQueue, waitState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MINIMUM_DPROP

    public static final java.lang.String MINIMUM_DPROP

  Identifier for a "minimum" property.
  See Also:
    `getDump()`

### MAXIMUM_DPROP

    public static final java.lang.String MAXIMUM_DPROP

  Identifier for a "maximum" property.
  See Also:
    `getDump()`

### VALUE_DPROP

    public static final java.lang.String VALUE_DPROP

  Identifier for a "value" property.
  See Also:
    `getDump()`

### ORIENTATION_DPROP

    public static final java.lang.String ORIENTATION_DPROP

  Identifier for a "orientation" property.
  See Also:
    `getDump()`

### HORIZONTAL_ORIENTATION_DPROP_VALUE

    public static final java.lang.String HORIZONTAL_ORIENTATION_DPROP_VALUE

  Identifier for a "HORIZONTAL" value of "orientation" property.
  See Also:
    `getDump()`

### VERTICAL_ORIENTATION_DPROP_VALUE

    public static final java.lang.String VERTICAL_ORIENTATION_DPROP_VALUE

  Identifier for a "VERTICAL" value of "orientation" property.
  See Also:
    `getDump()`

### IS_ONE_TOUCH_EXPANDABLE_DPROP

    public static final java.lang.String IS_ONE_TOUCH_EXPANDABLE_DPROP

  Identifier for a "one touch expendable" property.
  See Also:
    `getDump()`

Constructor Detail

### JSplitPaneOperator

    public JSplitPaneOperator(javax.swing.JSplitPane b)

  Constructor.
  Parameters:
    `b` - JSplitPane component.

### JSplitPaneOperator

    public JSplitPaneOperator(ContainerOperator cont,
                              ComponentChooser chooser,
                              int index)

  Constructs a JSplitPaneOperator object.
  Parameters:
    `cont` - a container
    `chooser` - a component chooser specifying searching criteria.
    `index` - an index between appropriate ones.

### JSplitPaneOperator

    public JSplitPaneOperator(ContainerOperator cont,
                              ComponentChooser chooser)

  Constructs a JSplitPaneOperator object.
  Parameters:
    `cont` - a container
    `chooser` - a component chooser specifying searching criteria.

### JSplitPaneOperator

    public JSplitPaneOperator(ContainerOperator cont,
                              int index)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - Operator pointing a container to search component in.
    `index` - Ordinal component index.
  Throws:
    `TimeoutExpiredException` -

### JSplitPaneOperator

    public JSplitPaneOperator(ContainerOperator cont)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - Operator pointing a container to search component in.
  Throws:
    `TimeoutExpiredException` -

Method Detail

### findJSplitPane

    public static javax.swing.JSplitPane findJSplitPane(java.awt.Container cont,
                                                        ComponentChooser chooser,
                                                        int index)

  Searches JSplitPane in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
    `index` - Ordinal component index.
  Returns:
    JSplitPane instance or null if component was not found.

### findJSplitPane

    public static javax.swing.JSplitPane findJSplitPane(java.awt.Container cont,
                                                        ComponentChooser chooser)

  Searches 0'th JSplitPane in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
  Returns:
    JSplitPane instance or null if component was not found.

### findJSplitPane

    public static javax.swing.JSplitPane findJSplitPane(java.awt.Container cont,
                                                        int index)

  Searches JSplitPane in container.
  Parameters:
    `cont` - Container to search component in.
    `index` - Ordinal component index.
  Returns:
    JSplitPane instance or null if component was not found.

### findJSplitPane

    public static javax.swing.JSplitPane findJSplitPane(java.awt.Container cont)

  Searches 0'th JSplitPane in container.
  Parameters:
    `cont` - Container to search component in.
  Returns:
    JSplitPane instance or null if component was not found.

### findJSplitPaneUnder

    public static javax.swing.JSplitPane findJSplitPaneUnder(java.awt.Component comp,
                                                             ComponentChooser chooser)

  Searches JSplitPane object which component lies on.
  Parameters:
    `comp` - Component to find JSplitPane under.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
  Returns:
    JSplitPane instance or null if component was not found.

### findJSplitPaneUnder

    public static javax.swing.JSplitPane findJSplitPaneUnder(java.awt.Component comp)

  Searches JSplitPane object which component lies on.
  Parameters:
    `comp` - Component to find JSplitPane under.
  Returns:
    JSplitPane instance or null if component was not found.

### waitJSplitPane

    public static javax.swing.JSplitPane waitJSplitPane(java.awt.Container cont,
                                                        ComponentChooser chooser,
                                                        int index)

  Waits JSplitPane in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
    `index` - Ordinal component index.
  Returns:
    JSplitPane instance or null if component was not displayed.
  Throws:
    `TimeoutExpiredException` -

### waitJSplitPane

    public static javax.swing.JSplitPane waitJSplitPane(java.awt.Container cont,
                                                        ComponentChooser chooser)

  Waits 0'th JSplitPane in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
  Returns:
    JSplitPane instance or null if component was not displayed.
  Throws:
    `TimeoutExpiredException` -

### waitJSplitPane

    public static javax.swing.JSplitPane waitJSplitPane(java.awt.Container cont,
                                                        int index)

  Waits JSplitPane in container.
  Parameters:
    `cont` - Container to search component in.
    `index` - Ordinal component index.
  Returns:
    JSplitPane instance or null if component was not displayed.
  Throws:
    `TimeoutExpiredException` -

### waitJSplitPane

    public static javax.swing.JSplitPane waitJSplitPane(java.awt.Container cont)

  Waits 0'th JSplitPane in container.
  Parameters:
    `cont` - Container to search component in.
  Returns:
    JSplitPane instance or null if component was not displayed.
  Throws:
    `TimeoutExpiredException` -

### setTimeouts

    public void setTimeouts(Timeouts timeouts)

  Description copied from interface: `Timeoutable`
  Defines current timeouts.
  Specified by:
    `setTimeouts` in interface `Timeoutable`
  Overrides:
    `setTimeouts` in class `JComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Timeoutable`
  Parameters:
    `t` - A collection of timeout assignments.
  See Also:
    `Timeoutable.getTimeouts()`

### getTimeouts

    public Timeouts getTimeouts()

  Description copied from interface: `Timeoutable`
  Return current timeouts.
  Specified by:
    `getTimeouts` in interface `Timeoutable`
  Overrides:
    `getTimeouts` in class `JComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Timeoutable`
  Returns:
    the collection of current timeout assignments.
  See Also:
    `Timeoutable.setTimeouts(org.netbeans.jemmy.Timeouts)`

### setOutput

    public void setOutput(TestOut out)

  Description copied from interface: `Outputable`
  Defines print output streams or writers.
  Specified by:
    `setOutput` in interface `Outputable`
  Overrides:
    `setOutput` in class `JComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Outputable`
  Parameters:
    `out` - Identify the streams or writers used for print output.
  See Also:
    `Outputable.getOutput()`

### getOutput

    public TestOut getOutput()

  Description copied from interface: `Outputable`
  Returns print output streams or writers.
  Specified by:
    `getOutput` in interface `Outputable`
  Overrides:
    `getOutput` in class `JComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Outputable`
  Returns:
    an object that contains references to objects for printing to output and err streams.
  See Also:
    `Outputable.setOutput(org.netbeans.jemmy.TestOut)`

### copyEnvironment

    public void copyEnvironment(Operator anotherOperator)

  Description copied from class: `Operator`
  Copies all environment (output, timeouts, visualizer) from another operator.
  Overrides:
    `copyEnvironment` in class `ComponentOperator`
  Following copied from class: `org.netbeans.jemmy.operators.Operator`
  Parameters:
    `anotherOperator` - an operator to copy the environment to.

### findDivider

    public javax.swing.plaf.basic.BasicSplitPaneDivider findDivider()

  Searches divider inside split pane.
  Returns:
    an operator for the divider.

### getDivider

    public ContainerOperator getDivider()

  Searches divider inside split pane.
  Returns:
    an operator for the divider.

### scrollTo

    public void scrollTo(ScrollAdjuster adj)

  Scrolls to the position defined by a ScrollAdjuster implementation.
  Parameters:
    `adj` - defines scrolling direction, and so on.
  Throws:
    `TimeoutExpiredException` -

### moveDivider

    public void moveDivider(int dividerLocation)

  Changes divider location.
  Parameters:
    `dividerLocation` - location to move divider to.

### moveDivider

    public void moveDivider(double proportionalLocation)

  Changes divider location.
  Parameters:
    `proportionalLocation` - Proportional location. Should be great then 0 and less then 1.

### moveToMinimum

    public void moveToMinimum()

  Moves the divider all the way to the left/top.

### moveToMaximum

    public void moveToMaximum()

  Moves the divider all the way to the right/bottom.

### expandRight

    public void expandRight()

  Pushes one time right(bottom) expand button.
  Throws:
    `TimeoutExpiredException` -

### expandLeft

    public void expandLeft()

  Pushes one time left(top) expand button.
  Throws:
    `TimeoutExpiredException` -

### getDump

    public java.util.Hashtable getDump()

  Description copied from class: `ComponentOperator`
  Returns information about component.
  Overrides:
    `getDump` in class `JComponentOperator`
  Following copied from class: `org.netbeans.jemmy.operators.Operator`
  Returns:
    a Hashtable containing name-value pairs.

### getBottomComponent

    public java.awt.Component getBottomComponent()

  Maps `JSplitPane.getBottomComponent()` through queue

### getDividerLocation

    public int getDividerLocation()

  Maps `JSplitPane.getDividerLocation()` through queue

### getDividerSize

    public int getDividerSize()

  Maps `JSplitPane.getDividerSize()` through queue

### getLastDividerLocation

    public int getLastDividerLocation()

  Maps `JSplitPane.getLastDividerLocation()` through queue

### getLeftComponent

    public java.awt.Component getLeftComponent()

  Maps `JSplitPane.getLeftComponent()` through queue

### getMaximumDividerLocation

    public int getMaximumDividerLocation()

  Maps `JSplitPane.getMaximumDividerLocation()` through queue

### getMinimumDividerLocation

    public int getMinimumDividerLocation()

  Maps `JSplitPane.getMinimumDividerLocation()` through queue

### getOrientation

    public int getOrientation()

  Maps `JSplitPane.getOrientation()` through queue

### getRightComponent

    public java.awt.Component getRightComponent()

  Maps `JSplitPane.getRightComponent()` through queue

### getTopComponent

    public java.awt.Component getTopComponent()

  Maps `JSplitPane.getTopComponent()` through queue

### getUI

    public javax.swing.plaf.SplitPaneUI getUI()

  Maps `JSplitPane.getUI()` through queue

### isContinuousLayout

    public boolean isContinuousLayout()

  Maps `JSplitPane.isContinuousLayout()` through queue

### isOneTouchExpandable

    public boolean isOneTouchExpandable()

  Maps `JSplitPane.isOneTouchExpandable()` through queue

### resetToPreferredSizes

    public void resetToPreferredSizes()

  Maps `JSplitPane.resetToPreferredSizes()` through queue

### setBottomComponent

    public void setBottomComponent(java.awt.Component component)

  Maps `JSplitPane.setBottomComponent(Component)` through queue

### setContinuousLayout

    public void setContinuousLayout(boolean b)

  Maps `JSplitPane.setContinuousLayout(boolean)` through queue

### setDividerLocation

    public void setDividerLocation(double d)

  Maps `JSplitPane.setDividerLocation(double)` through queue

### setDividerLocation

    public void setDividerLocation(int i)

  Maps `JSplitPane.setDividerLocation(int)` through queue

### setDividerSize

    public void setDividerSize(int i)

  Maps `JSplitPane.setDividerSize(int)` through queue

### setLastDividerLocation

    public void setLastDividerLocation(int i)

  Maps `JSplitPane.setLastDividerLocation(int)` through queue

### setLeftComponent

    public void setLeftComponent(java.awt.Component component)

  Maps `JSplitPane.setLeftComponent(Component)` through queue

### setOneTouchExpandable

    public void setOneTouchExpandable(boolean b)

  Maps `JSplitPane.setOneTouchExpandable(boolean)` through queue

### setOrientation

    public void setOrientation(int i)

  Maps `JSplitPane.setOrientation(int)` through queue

### setRightComponent

    public void setRightComponent(java.awt.Component component)

  Maps `JSplitPane.setRightComponent(Component)` through queue

### setTopComponent

    public void setTopComponent(java.awt.Component component)

  Maps `JSplitPane.setTopComponent(Component)` through queue

### setUI

    public void setUI(javax.swing.plaf.SplitPaneUI splitPaneUI)

  Maps `JSplitPane.setUI(SplitPaneUI)` through queue

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD